# Interface methods for submodule: JointHistogramMutualInformationImageToImageMetricv4
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricv4Proxy as _ImageToImageMetricv4Proxy


# Interface methods for class: JointHistogramMutualInformationImageToImageMetricv4
class JointHistogramMutualInformationImageToImageMetricv4Proxy(_ImageToImageMetricv4Proxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetModifiableJointPDF(self):
		""""""
		...

	def GetJointPDF(self):
		""""""
		...

	def SetNumberOfHistogramBins(self, _arg: int) -> None:
		""""""
		...

	def GetNumberOfHistogramBins(self) -> int:
		""""""
		...

	def SetVarianceForJointPDFSmoothing(self, _arg: float) -> None:
		""""""
		...

	def GetVarianceForJointPDFSmoothing(self) -> float:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

